<?php

namespace App\Modules\applications\Logic;

use A7kz\Platform\Models\UniModel;
use A7kz\Platform\Modules\Platform\Acl\Facades\Acl;
use A7kz\Platform\Modules\Platform\Core\Services\Base\Logic;
use App\Models\User;
use App\Modules\applications\Enum\ApplicationStatus;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Hash;

class Complete extends Logic
{
    public function run()
    {
        $this->row->status = ApplicationStatus::completed->value;
        $this->row->save();
        return $this->response();
    }
}
